<?

 /*
   ###------------------------------------------### 
   #  | #####     ##   ####     #####   ###### |  # 
   #  | #    #   # #  #         #    #  #      |  # 
   #  | #    #  #  #  #         #    #  #      |  # 
   #  | #####      #  #   ###   #    #  ###### |  # 
   #  | #    #     #  #    #    #    #  #      |  # 
   #  | #    #     #  #    #    #    #  #      |  # 
   #  | #####      #   ####   # #####   ###### |  # 
   ###--------Copyright by www.b1g.info---------###
 */

 //////////////////////////////////////////////////
 // B1G - Template Class		        
 //////////////////////////////////////////////////
 // Erstellen von Seiten auf Template-
 // Basis		        
 // (c) 2002-2003 by B1G - Free PHP Scripts      
 //////////////////////////////////////////////////

require_once("config.inc.php");
require_once("global.inc.php");

class Template {
 	var $_file;
	var $_out;
	
	function Template($fn) {
		require_once("global.inc.php");
		global $bm_config;

		$this->_file = "templates/" . $bm_config['mse_template'] . "/" . $fn;
		
		$filename = $this->_file;
 		$fd = fopen ($filename, "r");
 	 		$tmpl = fread ($fd, filesize ($filename));
 		fclose ($fd);
		
		$this->_out = $tmpl;
		
		return true;
	}

	function Insert($cap,$wert) {
		$this->_out = str_replace($cap, $wert, $this->_out);
		return true;
	}

	function POut() {
		$this->_lang();
		$page = stripslashes($this->_out);
		echo ($page);
		return true;
	}

	function VOut() {
		$this->_lang();
		$page = stripslashes($this->_out);
		return $page;
	}
	
	function IFBlock($block) {
		$this->_out = ereg_replace("<" . $block . ">([^-]*([^-]|-([^-]|-[^>])))*</" . $block . ">", "", 
$this->_out);
		return true;
	}

	function _lang() {
		require_once("config.inc.php");
		require_once("global.inc.php");
		global $bm_config;
		global $lang_main;
		global $copyright;
		global $linc;
		
		include("languages/" . $linc . ".inc.php");
		global $lang_main;

		$this->_out = str_replace("%_ADRESSEN%", $lang_main['ADRESSEN'], $this->_out);
		$this->_out = str_replace("%_NAME%", $lang_main['NAME'], $this->_out);
		$this->_out = str_replace("%_EMAIL%", $lang_main['EMAIL'], $this->_out);
		$this->_out = str_replace("%_RESET%", $lang_main['RESET'], $this->_out);
		$this->_out = str_replace("%_SUBMIT%", $lang_main['SUBMIT'], $this->_out);
		$this->_out = str_replace("%_FILTER%", $lang_main['FILTER'], $this->_out);
		$this->_out = str_replace("%_FELDABSENDER%", $lang_main['FELDABSENDER'], $this->_out);
		$this->_out = str_replace("%_INORDNER%", $lang_main['INORDNER'], $this->_out);
		$this->_out = str_replace("%_ORDNER%", $lang_main['ORDNER'], $this->_out);
		$this->_out = str_replace("%_ADRTEXT%", $lang_main['ADRTEXT'], $this->_out);
		$this->_out = str_replace("%_MLOESCHEN%", $lang_main['MLOESCHEN'], $this->_out);
		$this->_out = str_replace("%_ADD%", $lang_main['ADD'], $this->_out);
		$this->_out = str_replace("%_ARESPONDER%", $lang_main['ARESPONDER'], $this->_out);
		$this->_out = str_replace("%_ACTIVATED%", $lang_main['ACTIVATED'], $this->_out);
		$this->_out = str_replace("%_SUBJECT%", $lang_main['SUBJECT'], $this->_out);
		$this->_out = str_replace("%_MESSAGE%", $lang_main['MESSAGE'], $this->_out);
		$this->_out = str_replace("%_USERDATA%", $lang_main['USERDATA'], $this->_out);
		$this->_out = str_replace("%_STREET%", $lang_main['STREET'], $this->_out);
		$this->_out = str_replace("%_PLZORT%", $lang_main['PLZORT'], $this->_out);
		$this->_out = str_replace("%_TELEFON%", $lang_main['TELEFON'], $this->_out);
		$this->_out = str_replace("%_FAX%", $lang_main['FAX'], $this->_out);
		$this->_out = str_replace("%_MSCHREIBEN%", $lang_main['MSCHREIBEN'], $this->_out);
		$this->_out = str_replace("%_FROM%", $lang_main['FROM'], $this->_out);
		$this->_out = str_replace("%_DATE%", $lang_main['DATE'], $this->_out);
		$this->_out = str_replace("%_TO%", $lang_main['TO'], $this->_out);
		$this->_out = str_replace("%_CC%", $lang_main['CC'], $this->_out);
		$this->_out = str_replace("%_BCC%", $lang_main['BCC'], $this->_out);
		$this->_out = str_replace("%_ATTACH%", $lang_main['ATTACH'], $this->_out);
		$this->_out = str_replace("%_MODE%", $lang_main['MODE'], $this->_out);
		$this->_out = str_replace("%_TOICQ%", $lang_main['TOICQ'], $this->_out);
		$this->_out = str_replace("%_SIGNUP%", $lang_main['SIGNUP'], $this->_out);
		$this->_out = str_replace("%_EMLOESCHEN%", $lang_main['EMLOESCHEN'], $this->_out);
		$this->_out = str_replace("%_LFRAGE%", $lang_main['LFRAGE'], $this->_out);
		$this->_out = str_replace("%_YES%", $lang_main['YES'], $this->_out);
		$this->_out = str_replace("%_NO%", $lang_main['NO'], $this->_out);
		$this->_out = str_replace("%_OGELOESCHT%", $lang_main['OGELOESCHT'], $this->_out);
		$this->_out = str_replace("%_FITEXT%", $lang_main['FITEXT'], $this->_out);
		$this->_out = str_replace("%_INBOX%", $lang_main['INBOX'], $this->_out);
		$this->_out = str_replace("%_IBTEXT%", $lang_main['IBTEXT'], $this->_out);
		$this->_out = str_replace("%_LOGIN%", $lang_main['LOGIN'], $this->_out);
		$this->_out = str_replace("%_BENUTZER%", $lang_main['BENUTZER'], $this->_out);
		$this->_out = str_replace("%_PASS%", $lang_main['PASS'], $this->_out);
		$this->_out = str_replace("%_DELETE%", $lang_main['DELETE'], $this->_out);
		$this->_out = str_replace("%_STEXT1%", $lang_main['STEXT1'], $this->_out);
		$this->_out = str_replace("%_STEXT2%", $lang_main['STEXT2'], $this->_out);
		$this->_out = str_replace("%_STEXT3%", $lang_main['STEXT3'], $this->_out);
		$this->_out = str_replace("%_MSTTEXT%", $lang_main['MSTTEXT'], $this->_out);
		$this->_out = str_replace("%_MSTEXT%", $lang_main['MSTEXT'], $this->_out);
		$this->_out = str_replace("%_STAND%", $lang_main['STAND'], $this->_out);
		$this->_out = str_replace("%_REFRESH%", $lang_main['REFRESH'], $this->_out);
		$this->_out = str_replace("%_MENU%", $lang_main['MENU'], $this->_out);
		$this->_out = str_replace("%_WELCOME%", $lang_main['WELCOME'], $this->_out);
		$this->_out = str_replace("%_OUTBOX%", $lang_main['OUTBOX'], $this->_out);
		$this->_out = str_replace("%_ICQMAIL%", $lang_main['ICQMAIL'], $this->_out);
		$this->_out = str_replace("%_ADRESSBUCH%", $lang_main['ADRESSBUCH'], $this->_out);
		$this->_out = str_replace("%_PREFERENCES%", $lang_main['PREFERENCES'], $this->_out);
		$this->_out = str_replace("%_MMCHECKER%", $lang_main['MMCHECKER'], $this->_out);
		$this->_out = str_replace("%_LOGOUT%", $lang_main['LOGOUT'], $this->_out);
		$this->_out = str_replace("%_REPLY%", $lang_main['REPLY'], $this->_out);
		$this->_out = str_replace("%_FORWARD%", $lang_main['FORWARD'], $this->_out);
		$this->_out = str_replace("%_PRINT%", $lang_main['PRINT'], $this->_out);
		$this->_out = str_replace("%_MOVE%", $lang_main['MOVE'], $this->_out);
		$this->_out = str_replace("%_MMOVETO%", $lang_main['MMOVETO'], $this->_out);
		$this->_out = str_replace("%_OTEXT%", $lang_main['OTEXT'], $this->_out);
		$this->_out = str_replace("%_OBTEXT%", $lang_main['OBTEXT'], $this->_out);
		$this->_out = str_replace("%_RETYPE%", $lang_main['RETYPE'], $this->_out);
		$this->_out = str_replace("%_PFTEXT%", $lang_main['PFTEXT'], $this->_out);
		$this->_out = str_replace("%_UNAME%", $lang_main['UNAME'], $this->_out);
		$this->_out = str_replace("%_HELLO%", $lang_main['HELLO'], $this->_out);
		$this->_out = str_replace("%_YOUHAVE%", $lang_main['YOUHAVE'], $this->_out);
		$this->_out = str_replace("%_NEWMAILS%", $lang_main['NEWMAILS'], $this->_out);
		$this->_out = str_replace("%_SPACE%", $lang_main['SPACE'], $this->_out);
		$this->_out = str_replace("%_VERFASSEN%", $lang_main['VERFASSEN'], $this->_out);
		$this->_out = str_replace("%_GESENDET%", $lang_main['GESENDET'], $this->_out);
		$this->_out = str_replace("%_ADDED%", $lang_main['ADDED'], $this->_out);
		$this->_out = str_replace("%_DELETED%", $lang_main['DELETED'], $this->_out);
		$this->_out = str_replace("%_APPLYED%", $lang_main['APPLYED'], $this->_out);
		$this->_out = str_replace("%_LOCKED%", $lang_main['LOCKED'], $this->_out);
		$this->_out = str_replace("%_EXISTS%", $lang_main['EXISTS'], $this->_out);
		$this->_out = str_replace("%_PASSERR%", $lang_main['PASSERR'], $this->_out);
		$this->_out = str_replace("%_ALLFIELDS%", $lang_main['ALLFIELDS'], $this->_out);
		$this->_out = str_replace("%_RSUCCESS%", $lang_main['RSUCCESS'], $this->_out);
		$this->_out = str_replace("%_NMADDRESS%", $lang_main['NMADDRESS'], $this->_out);
		$this->_out = str_replace("%_MOVED%", $lang_main['MOVED'], $this->_out);
		$this->_out = str_replace("%_EEXISTS%", $lang_main['EEXISTS'], $this->_out);
		$this->_out = str_replace("%_PCHANGED%", $lang_main['PCHANGED'], $this->_out);
		$this->_out = str_replace("%_AGBTEXT%", $lang_main['AGBTEXT'], $this->_out);
		$this->_out = str_replace("%_ACCEPTAGB%", $lang_main['ACCEPTAGB'], $this->_out);
		$this->_out = str_replace("%COPYRIGHT%", $copyright, $this->_out);
		$this->_out = str_replace("%ADROTATOR%", GetRandomAd(), $this->_out); 
		$this->_out = str_replace("%_OK%", $lang_main['OK'], $this->_out); 
		$this->_out = str_replace("%_DF%", $lang_main['DF'], $this->_out); 
		$this->_out = str_replace("%_LANGUAGE%", $lang_main['LANGUAGE'], $this->_out); 
		$this->_out = str_replace("%_SAVEPASS%", $lang_main['SAVEPASS'], $this->_out); 
		$this->_out = str_replace("%TITEL%", $bm_config['mse_titel'], $this->_out);
		$this->_out = str_replace("%_TRASH%", $lang_main['TRASH'], $this->_out);
		$this->_out = str_replace("%_WIEDER%", $lang_main['WIEDER'], $this->_out);
	}
}

?>